[API Reference](../README.md) > [TransferAndCallOptions](../interfaces/TransferAndCallOptions.md)

# Interface: TransferAndCallOptions

## Hierarchy

 [StandardTokenTransferOptions](StandardTokenTransferOptions.md)

**↳ TransferAndCallOptions**

## Index

### Properties

* [amount](TransferAndCallOptions.md#amount)
* [callData](TransferAndCallOptions.md#callData)
* [to](TransferAndCallOptions.md#to)

---

## Properties

<a id="amount"></a>

###  amount

**● amount**: * `BigNumber` &#124; `string`
*

*Inherited from [StandardTokenTransferOptions](StandardTokenTransferOptions.md).[amount](StandardTokenTransferOptions.md#amount)*

*Defined in [wrappers/standardToken.ts:285](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L285)*

___
<a id="callData"></a>

###  callData

**● callData**: *`string`*

*Defined in [wrappers/iErc827Token.ts:60](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iErc827Token.ts#L60)*

___
<a id="to"></a>

###  to

**● to**: *[Address](../#Address)*

*Inherited from [StandardTokenTransferOptions](StandardTokenTransferOptions.md).[to](StandardTokenTransferOptions.md#to)*

*Defined in [wrappers/standardToken.ts:286](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L286)*

___

